package com.xinyilu.system.domain.nationalphysiquegrade;

import com.xinyilu.common.annotation.Excel;
import com.xinyilu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 国民体质测定评判等级信息对象 national_physique_grade
 *
 * @author ljh
 * @version 1.0
 * Create by 2022/11/21 15:27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "国民体质测定评判等级信息对象", description = "national_physique_grade")
public class NationalPhysiqueGrade extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -3826111969660046413L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 得分起始值
     */
    @ApiModelProperty(value = "得分起始值")
    @Excel(name = "得分起始值")
    private BigDecimal startFraction;

    /**
     * 得分结束值
     */
    @ApiModelProperty(value = "得分结束值")
    @Excel(name = "得分结束值")
    private BigDecimal endFraction;

    /**
     * 综合评判等级
     */
    @ApiModelProperty(value = "综合评判等级")
    @Excel(name = "综合评判等级")
    private String rank;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("startFraction", getStartFraction())
                .append("endFraction", getEndFraction())
                .append("rank", getRank())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }

}
